Vérification... → Status

CrueWatch API v1 (1.0.0)

Download OpenAPI specification:

CrueWatch Support: api@cruewatch.com URL: https://cruewatch.com License: MIT

Real-time flood alert and water level monitoring API. Public endpoints — no authentication required.

Stations

Station discovery and metadata

List all monitoring stations

Returns a paginated list of all hydrological monitoring stations in France.

query Parameters
limit
integer
Default: 100

Maximum number of results (default: 100, max: 1000)

offset
integer
Default: 0

Pagination offset

river
string

Filter by river name (partial match)

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "count": 0,
  • "total": 0
}

Water Levels

Water level measurements and trends

Get water levels for a station

Returns current and historical water level data for a specific station.

path Parameters
id
required
string <uuid>

Station ID (UUID)

query Parameters
days
integer <= 90
Default: 7

Number of days of historical data to return (default: 7)

Responses

Response samples

Content type
application/json
{
  • "station_id": "dfc8a445-0130-453b-a457-3ac3191e8d97",
  • "station_name": "string",
  • "current_level": 0,
  • "threshold_warning": 0,
  • "threshold_flood": 0,
  • "trend": "rising_fast",
  • "updated_at": "2019-08-24T14:15:22Z",
  • "historical": [
    ]
}

Alerts

Flood alert status and risk classification

Get alert status for a station

Returns current alert status and risk classification for a station.

path Parameters
id
required
string <uuid>

Station ID (UUID)

Responses

Response samples

Content type
application/json
{
  • "station_id": "dfc8a445-0130-453b-a457-3ac3191e8d97",
  • "station_name": "string",
  • "alert_level": "normal",
  • "is_flooding": true,
  • "exceedance_meters": 0,
  • "risk_score": 100,
  • "updated_at": "2019-08-24T14:15:22Z"
}